{ pkgs, lib, ... }:
{
  programs = {
    zsh.enable = lib.mkDefault true;
    gnupg.agent = {
      enable = lib.mkDefault true;
      enableSSHSupport = lib.mkDefault true;
    };
    nix-index = {
      enable = lib.mkDefault true;
      enableBashIntegration = lib.mkDefault false;
      enableZshIntegration = lib.mkDefault true;
    };

    nix-ld = {
      enable = lib.mkDefault true;
      libraries = with pkgs; [
        alsa-lib
        bash
        expat
        fontconfig
        freetype
        icu
        glib
        gtk3
        libgcc
        libgdiplus
        libGL
        libpulseaudio
        SDL2
        vulkan-loader
        xorg.libX11
        xorg.libICE
        xorg.libSM
        xorg.libXcursor
        xorg.libXrandr
        xorg.libXi
        zlib
        qt5.full
        pango
        cairo
        atkmm
        xorg.libXcomposite
        xorg.libXdamage
        xorg.libXext
        xorg.libXfixes
        at-spi2-atk
        pciutils
        libcef
        libva
        bash
        gtk3
        glib
        dbus
        xorg.libX11
        xorg.libxcb
        cups.lib
        mesa
        libxkbcommon
        libGL
        nss
        libdrm
        libgbm
      ];
    };
    seahorse.enable = lib.mkDefault true;
  };
  environment = {
    systemPackages = with pkgs; [
      attic-client
      uutils-coreutils
      uutils-diffutils
      uutils-findutils
      coreutils
      nixd
    ];
  };
}
